Subject: Help with functions

From: Jay Painter <[email-masked]>
Date: Tue, 6 Apr 1999 10:10:12 -0700 (PDT)

It seems that the GNOMEButton function is trying to load a module instead
of executing the internal function for root button proxying.  I looked at
it, and it might have somthing to do with the F_MOUSE I've assigned the
function in the functions.c table.  I'm unsure what that enum is for, so I
just guessed.  Could someone who is farmiliar with that function table
look at it or better yet clue me in on how it works so I can fix it?

-----------------------------------------------------------------------
Jay Painter -- [email-masked] -- [email-masked] -- [email-masked]
http://www.serv.net/~jpaint/

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Wed, 07 Apr 1999 08:36:32 -0400

> look at it or better yet clue me in on how it works so I can fix it?

A while ago, I added comments at the front of the command table,
Dominik added his observations:

 * Note: the 3rd column of this table is no longer in use!
 * Remove the field "code" from the structure "functions" in misc.c.
 * Then remove the values from this table.
 * dje 9/25/98
 *
 * Note: above comment is incorrect. The 3rd column is still used in
 * find_func_type which is called from menus.c. Some work has to be done
 * before it can be removed.
 * Dominik Vogt 21/11/98
 *
 * My   mistake. However,  they  are  no  longer  used for their original
 * purpose, and  the   use menus.c is  putting   them to  seems  somewhat
 * unnecessary.  I'm  going to use  F_NOP for EdgeThickness,  and see
 * how that goes.
 * dje 12/19/98.

Therefore, I suggest  that we  continue  this (using  F_NOP) until  we
either eliminate  the column, or  only put values   in the column when
they serve a useful purpose.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked] (Andrew T. Veliath)
Date: 07 Apr 1999 10:52:19 -0400

.........----------------==================----
..--==-  Tue, 6 Apr 1999 10:10:12 -0700 (PDT),
..--==-  Jay Painter (JP) discussed:

 JP)  It seems that the GNOMEButton function is trying to load a module instead
 JP)  of executing the internal function for root button proxying.  I looked at
 JP)  it, and it might have somthing to do with the F_MOUSE I've assigned the
 JP)  function in the functions.c table.  I'm unsure what that enum is for, so I
 JP)  just guessed.  Could someone who is farmiliar with that function table
 JP)  look at it or better yet clue me in on how it works so I can fix it?

Jay,

GNOMEButton seems to work fine here with all three root buttons on
gmc.  Do you have the update so that your GNOMEButton is in all
capitals in the table (I committed this fix a couple of days ago,
since it changed for 2.3.x)?  Otherwise it thinks it is a module.

Nice work on the patch!

Regards,
Andrew

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 14 Apr 1999 23:38:59 +0200

> they serve a useful purpose.

Another place where this is used is in the function check_if_function_allowed().
Since it still seems to be useful and removing this column would only
save 230 bytes (115 shorts) I see no real reed to remove it.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Thu, 15 Apr 1999 08:23:18 -0400

> save 230 bytes (115 shorts) I see no real reed to remove it.

I agree that there is no memory use issue.

It still seems to me that using F_NOP (or some other value that indicates
that the value is not being used) is a good thing to do.

(Its better documentation.)

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 15 Apr 1999 14:35:18 +0200

> (Its better documentation.)

Hmm, wouldn't that prevent other uses of this field? If we can't remove it
we might as well put useful information in there. Well, not that I care
about it. I guess we will never use one style or the other as the single
one because it will be a lot of fruitless work to change the table.

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]